# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class BaseEventEntry<E extends BaseEventEntry<E>>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.extensions.BaseEventEntry<E>

Type Parameters:
  `E` - concrete event entry type

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

Direct Known Subclasses:
  CalendarEventEntry, EventEntry

    public class BaseEventEntry<E extends BaseEventEntry<E>>

extends BaseEntry<E>

Customizes the base entry to define an event entry.

Nested Class Summary
`static class` `BaseEventEntry.EventStatus` Defines the base set of values for event status.
`static class` `BaseEventEntry.Transparency` Defines the base set of values for event transparency.
`static class` `BaseEventEntry.Visibility` Defines the base set of values for event visibility.

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BaseEventEntry()` Constructs a new EventEntry with the appropriate kind category to indicate that it is an event.
`BaseEventEntry(BaseEntry<?> sourceEntry)` Constructs a new EventEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Summary
`void` `addLocation(Where location)` Adds a new event location.
`void` `addRecurrenceException(RecurrenceException exception)` Adds a new recurrence exception.
`void` `addTime(When time)` Adds a new event time.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<Where>` `getLocations()` Returns the list of event locations
`OriginalEvent` `getOriginalEvent()` Returns the event original start time.
`Recurrence` `getRecurrence()` Returns the event recurrence.
`java.util.List<RecurrenceException>` `getRecurrenceException()` Returns the list of recurrence exceptions.
`java.util.List<Reminder>` `getReminder()` Returns event reminders.
`BaseEventEntry.EventStatus` `getStatus()` Returns the event status.
`java.util.List<When>` `getTimes()` Returns the list of event times.
`BaseEventEntry.Transparency` `getTransparency()` Returns the event transparency.
`BaseEventEntry.Visibility` `getVisibility()` Returns the event visibility.
`void` `setOriginalEvent(OriginalEvent v)` Sets the event original start time.
`void` `setRecurrence(Recurrence v)` Sets the event recurrence.
`void` `setStatus(BaseEventEntry.EventStatus status)` Sets the event status.
`void` `setTransparency(BaseEventEntry.Transparency transparency)` Sets the event transparency.
`void` `setVisibility(BaseEventEntry.Visibility v)` Sets the event visibility.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseEventEntry

    public BaseEventEntry()

  Constructs a new EventEntry with the appropriate kind category to indicate that it is an event.

### BaseEventEntry

    public BaseEventEntry(BaseEntry<?> sourceEntry)

  Constructs a new EventEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

  Parameters:
    `sourceEntry` - entry to copy

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getTimes

    public java.util.List<When> getTimes()

  Returns the list of event times.

### addTime

    public void addTime(When time)

  Adds a new event time.

### getLocations

    public java.util.List<Where> getLocations()

  Returns the list of event locations

### addLocation

    public void addLocation(Where location)

  Adds a new event location.

### getStatus

    public BaseEventEntry.EventStatus getStatus()

  Returns the event status.

### setStatus

    public void setStatus(BaseEventEntry.EventStatus status)

  Sets the event status.

### getVisibility

    public BaseEventEntry.Visibility getVisibility()

  Returns the event visibility.

### setVisibility

    public void setVisibility(BaseEventEntry.Visibility v)

  Sets the event visibility.

### getTransparency

    public BaseEventEntry.Transparency getTransparency()

  Returns the event transparency.

### setTransparency

    public void setTransparency(BaseEventEntry.Transparency transparency)

  Sets the event transparency.

### getRecurrence

    public Recurrence getRecurrence()

  Returns the event recurrence.

### setRecurrence

    public void setRecurrence(Recurrence v)

  Sets the event recurrence.

### getRecurrenceException

    public java.util.List<RecurrenceException> getRecurrenceException()

  Returns the list of recurrence exceptions.

### addRecurrenceException

    public void addRecurrenceException(RecurrenceException exception)

  Adds a new recurrence exception.

### getOriginalEvent

    public OriginalEvent getOriginalEvent()

  Returns the event original start time.

### setOriginalEvent

    public void setOriginalEvent(OriginalEvent v)

  Sets the event original start time.

### getReminder

    public java.util.List<Reminder> getReminder()

  Returns event reminders.